package de.hsbo.fbv.bmg.oop.aufgaben;

import java.util.Collection;
import java.util.HashMap;
import java.util.Map;

public class Gemarkung {

	// Attribut
	String name;
	
	// Assoziation
	Map<Integer, Flur> fluren = null;

	// Konstruktor
	public Gemarkung(String name) {
		super();
		this.name = name;
		fluren = new HashMap<Integer, Flur>();
	}

	// Methoden
	public Flur[] getFluren() {
		Collection<Flur> fc = fluren.values();
		Flur[] fa = new Flur[fc.size()]; 
		fc.toArray(fa);
		return fa;
	}
	
	public void addFlur(Flur flur) {
		fluren.put(flur.getNummer(), flur);
		flur.gemarkung = this;
	}
}
