package de.hsbo.fbv.bmg.oop.demos;

/**
 * Diese Klasse demonstriert die Verwnedung Nan und INFINITE als Symbole der Hll-Klasse Double.
 * @author zimmermann
 *
 */
public class DoubleNaN_Demo {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		double t = Double.NaN;
		if(t==Double.NaN)
			System.out.println("t==Double.NaN ist richtig");
		if(((Double)t).equals(Double.NaN))
			System.out.println("((Double)t).equals(Double.NaN) ist richtig");
		if(((Double)t).isNaN())
			System.out.println("((Double)t).isNaN() ist richtig");
		if(Double.isNaN(t))
			System.out.println("(Double.isNaN(t) ist richtig");
		
		double v = 300.01/0.0;
		if(Double.isInfinite(v))
			System.out.println("300.01/0.0 ist Infinite");
		double i = Double.POSITIVE_INFINITY;
		if(Double.isInfinite(i))
			System.out.println("Double.POSITIVE_INFINITY ist Infinite");
		double n = Double.NEGATIVE_INFINITY;
		if(Double.isInfinite(n))
			System.out.println("Double.NEGATIVE_INFINITY ist Infinite");
		
		double an = 1.0 + t;
		System.out.println("1.0 + t = "+an);
		double bn = t - 1.0;
		System.out.println("t - 1.0 = "+bn);
		double cn = 2.0 * t;
		System.out.println("2.0 * t = "+cn);
		double dn = t / 3.0;
		System.out.println("t / 3.0 = "+dn);
		
		double ai = 1.0 + v;
		System.out.println("1.0 + v = "+ai);
		double bi = v - 1.0;
		System.out.println("v - 1.0 = "+bi);
		double ci = 2.0 * v;
		System.out.println("2.0 * v = "+ci);
		double di = v / 3.0;
		System.out.println("v / 3.0 = "+di);
		
	}

	
}
