package de.hsbo.fbv.bmg.oop.buch;

import java.util.ArrayList;
import java.util.Arrays;

public class ArrayListDemo {

	public static void main(String[] args) {
		// Anzahl der Elemente
		int n = 10;
		// Erzeugt eine ArrayList zur Speicherung von Zufallszahlen
		ArrayList list = new ArrayList();

		// Erzeugt Zufallszahlen und fgt sie in die Liste ein
		for (int i = 0; i < n; i++) {
			Double random = new Double(Math.random());
			list.add(random);
		}

		// Gibt die Liste in der Eingabereihenfolge aus.
		System.out.println("Liste in Eingabereihenfolge:");
		for (int i = 0; i < n; i++) {
			System.out.println(list.get(i));
		}

		// Sortiert die Liste
		Object[] randoms = list.toArray();
		Arrays.sort(randoms);

		// Gibt die Liste sortiert aus.
		System.out.println("Liste in Sortierreihenfolge:");
		for (int i = 0; i < n; i++) {
			System.out.println(randoms[i]);
		}
		
	} // Ende Methode
	
} // Ende Klassendeklaration