package de.hsbo.fbv.bmg.oop.demos;


import java.util.Arrays;
import java.util.Map;
import java.util.TreeMap;


public class TreeMapDemo {
	
	public static void main(String[] args) {
		Map<String, Ort> map = new TreeMap<String, Ort>();
		
		Ort bochum		= new Ort("BO", "Bochum", 375000);
		Ort dortmund	= new Ort("DO", "Dortmund", 580000);
		Ort essen 		= new Ort("E", "Essen", 575000);
		Ort duisburg	= new Ort("DU", "Duisburg", 490000);
		Ort oberhausen	= new Ort("OB", "Oberhausen", 213000);
		Ort muelheim	= new Ort("MH", "Mlheim", 170000);
		Ort herne 		= new Ort("HER", "Herne", 165000);
		Ort bottrop		= new Ort("BOT", "Bottrop", 117000);
		Ort objekt2		= new Ort("DO", "***Zweites Objekt***", -100);

		map.put(bochum.getKfz(), bochum);
		map.put(dortmund.getKfz(), dortmund);
		map.put(essen.getKfz(), essen);
		map.put(duisburg.getKfz(), duisburg);
		
		System.out.println(map);
		
		map.put(oberhausen.getKfz(), oberhausen);
		map.put(muelheim.getKfz(), muelheim);
		map.put(herne.getKfz(), herne);
		map.put(bottrop.getKfz(), bottrop);
		map.put(objekt2.getKfz(), objekt2);
		
		System.out.println(map);
		
		System.out.println("Alle Schlssel: "+ Arrays.toString((map.keySet()).toArray()));
		System.out.println("Alle Objekte:   "+ Arrays.toString((map.values()).toArray()));
		
		System.out.println("Schlssel "+ bochum.getKfz() + " vorhanden? - "+map.containsKey(bochum.getKfz()));
		System.out.println("Objekt    "+ dortmund + " vorhanden? - "+map.containsValue(dortmund));
		
	}
}
